summaryrefslogtreecommitdiffstats
path: root/maven
diff options
context:
space:
mode:
authorJOGAMP DEV TEAM <[email protected]>2023-01-24 17:16:21 +0100
committerSven Gothel <[email protected]>2023-01-24 17:25:24 +0100
commit167364cf4c42ea1b488f1d3c148b9b8d26285937 (patch)
tree9d8be31f23af5cb1b21d92a940df3eccac419224 /maven
parent5d67d2b7981d8e37c2814cbdfc0a4215fffb6a34 (diff)
Manually inject gluegen/pom.in into gluegen-rt-main/pom.sh, avoiding a maven refusal due to repeated dependencies section
Diffstat (limited to 'maven')
-rwxr-xr-xmaven/projects/gluegen-rt-main/pom.sh67
1 files changed, 66 insertions, 1 deletions
diff --git a/maven/projects/gluegen-rt-main/pom.sh b/maven/projects/gluegen-rt-main/pom.sh
index c163663..92c2867 100755
--- a/maven/projects/gluegen-rt-main/pom.sh
+++ b/maven/projects/gluegen-rt-main/pom.sh
@@ -56,11 +56,76 @@ EOF
done
cat <<EOF
+ <dependency>
+ <groupId>antlr</groupId>
+ <artifactId>antlr</artifactId>
+ <version>2.7.7</version>
+ </dependency>
</dependencies>
+ <scm>
+ <url>http://jogamp.org/git/?p=gluegen.git/</url>
+ <connection>scm:git:http://jogamp.org/git/gluegen.git/</connection>
+ <developerConnection>scm:git:http://jogamp.org/git/gluegen.git/</developerConnection>
+ </scm>
+
+ <licenses>
+ <license>
+ <name>BSD-2 License</name>
+ <url>http://www.opensource.org/licenses/BSD-2-Clause</url>
+ </license>
+ <license>
+ <name>BSD-3 License</name>
+ <url>http://www.opensource.org/licenses/BSD-3-Clause</url>
+ </license>
+ <license>
+ <name>BSD-4 License</name>
+ <url>http://www.spdx.org/licenses/BSD-4-Clause</url>
+ </license>
+ </licenses>
+
+ <developers>
+ <developer>
+ <id>sgothel</id>
+ <name>Sven Gothel</name>
+ <email>[email protected]</email>
+ <url>http://blog.jausoft.com</url>
+ </developer>
+ </developers>
+
+ <issueManagement>
+ <url>http://jogamp.org/bugzilla/</url>
+ <system>Bugzilla</system>
+ </issueManagement>
+
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-gpg-plugin</artifactId>
+ <version>1.4</version>
+ <executions>
+ <execution>
+ <id>sign-artifacts</id>
+ <phase>verify</phase>
+ <goals>
+ <goal>sign</goal>
+ </goals>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ <extensions>
+ <extension>
+ <groupId>org.apache.maven.wagon</groupId>
+ <artifactId>wagon-ssh</artifactId>
+ <version>2.4</version>
+ </extension>
+ </extensions>
+ </build>
EOF
-cat ../gluegen/pom.in || exit 1
+# cat ../gluegen/pom.in || exit 1
cat <<EOF
</project>
EOF